# List verified URLs

> List URLs that have been verified for this project.

`GET https://api.zavu.dev/v1/urls`

List URLs that have been verified for this project.

## Parameters

- `status` (query, string): Filter by verification status. One of: `pending`, `approved`, `rejected`, `escalated`, `malicious`.
- `limit` (query, integer)
- `cursor` (query, string)

## Responses

### 200

List of verified URLs.

- `items` (object[], required)
  - `id` (string, required)
  - `url` (string, required): The verified URL.
  - `domain` (string, required): Domain extracted from the URL.
  - `status` (string, required): Status of a verified URL. One of: `pending`, `approved`, `rejected`, `escalated`, `malicious`.
  - `approvalType` (string): How the URL was approved or rejected. One of: `manual`, `auto_web_risk`.
  - `createdAt` (string<date-time>, required)
  - `updatedAt` (string<date-time>)
- `nextCursor` (string, nullable)

### 401

Unauthorized.

- `code` (string, required)
- `message` (string, required)
- `details` (object)

## Example

```bash
curl -X GET "https://api.zavu.dev/v1/urls" \
  -H "Authorization: Bearer $ZAVUDEV_API_KEY"
```

```typescript
import Zavudev from "@zavudev/sdk";

const zavu = new Zavudev({ apiKey: process.env.ZAVUDEV_API_KEY });

const result = await zavu.urls.listVerified();

console.log(result);
```
